/***************************************************************************************************************************************************************
 *
 * Setting and retaining store data
 *
 **************************************************************************************************************************************************************/
'use strict'; //--------------------------------------------------------------------------------------------------------------------------------------------------------------
// Dependencies
//--------------------------------------------------------------------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------------------------------------------------------------------
// Local
//--------------------------------------------------------------------------------------------------------------------------------------------------------------

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Store = undefined;

var _helper = require("./helper");

/**
 * Handel and retain store information
 *
 * @type {Object}
 */
const Store = exports.Store = {
  all: {},

  /**
   * Set store infos
   *
   * @param  {object} data - Data to be merged with Store.all
   */
  set: data => {
    _helper.Log.verbose(`Setting store to ${_helper.Style.yellow(JSON.stringify(data))}`);

    Store.all = Object.assign({}, Store.all, data);
  },

  /**
   * Get store data
   *
   * @return {object} - The store data
   */
  get: () => {
    return Store.all;
  }
};